<?
	include("adm/conexao_e_agenda.php");
	include("adm/funcoes.php");
	
	//$pesquisa = utf8_decode($_POST["pesquisa_t"]);
if ($_SERVER["SERVER_ADDR"] == '127.0.0.1' ){
$filename = "../noticias.xml";//banner_outdoors/big2.xml";//"../bossbanner/big2t.xml";
}else{
$filename = "/home/msoftxc/public_html/adrianosoutoimoveis.com.br/noticias.xml";
}
$handle = fopen ("$filename", "w");

    $diahoje = date("d/m/Y");
	$sql="select * from mensagem order by dt_mensagem desc LIMIT 0,20";

	//$sql="select * from emitente order by nome asc"; &#164; ISO-8859-1
	$resulta=mysqli_query($conexao,$sql);
	  
	  $xml .= "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>";
	  $xml .= "<rss version=\"2.0\"><channel>";
	  $titulomensagem = "Acompanhar a Estatística do Site";
	  $urlmensagem = "http://www.adrianosoutoimoveis.com.br/mobile/ver_estatistica.php";
      $xml .= "<item>";
	  $xml .= "<title>".$diahoje." - ".$titulomensagem."</title>";
	  $xml .= "<link>".$urlmensagem."</link>";
      $xml .= "</item>";
	  $titulomensagem2 = "Administrar os Imóveis";
	  $urlmensagem2 = "http://www.adrianosoutoimoveis.com.br/mobile/seleciona_imoveis_mobile.php";
      $xml .= "<item>";
	  $xml .= "<title>".$diahoje." - ".$titulomensagem2."</title>";
	  $xml .= "<link>".$urlmensagem2."</link>";
      $xml .= "</item>";	
	while($linha_u=mysqli_fetch_array($resulta)){ 
	if($linha_u["respondida"]=="n"){
	   $respondida = "(Sem responder)";	
	} else {
	   $respondida = "(Respondida)";
	}
	$tituloNoticia = trocarCaracter($linha_u["assunto"]);
	$urlnoticia = "http://www.adrianosoutoimoveis.com.br/mobile/ver_mensagem.php?id=".$linha_u['id'];
      $xml .= "<item>";
	  $xml .= "<title>".datapadrao_data($linha_u["dt_mensagem"])." - ".$tituloNoticia." ".$respondida."</title>";
	  $xml .= "<link>".$urlnoticia."</link>";
      $xml .= "</item>";
	}
	$xml .= "</channel></rss>";
	
	   //CABEÇALHO
   Header("Content-type: application/xml; charset=ISO-8859-1"); //utf-8 ISO-8859-1
     
		if (is_writable($filename)) {

        // Escrevendo $$registro para o arquivo aberto.
        if (!fwrite($handle, $xml, 200024)) {
        print "Erro escrevendo no arquivo ($filename)";
        exit;
    	}
}

    fclose($handle);  
	
	echo $xml;   //</ecadastros>
	exit();
	//header("location:imovel_pesquisa.php?id=$_GET[id]");
	//header("location:cad_banner_principal_alt.php?id_c=$_GET[id_tcomp]"); 
?>